### Class

# Ggit Rebase

#### Description [src]

    final class Ggit.Rebase : Ggit.Native
    {
      /* No available fields */
    }

Represents a rebase object.

#### Ancestors

- GgitNative
- GgitObjectFactoryBase
- GObject

#### Instance methods

###### ggit_rebase_abort

Aborts a rebase that is currently in progress, resetting the repository and working directory to their state before rebase began.

###### ggit_rebase_commit

Commits the current patch. You must have resolved any conflicts that were introduced during the patch application from the `ggit_rebase_next()` invocation.

###### ggit_rebase_finish

Finishes a rebase that is currently in progress once all patches have been applied.

###### ggit_rebase_get_operation_by_index

Gets the rebase operation specified by `idx`.

###### ggit_rebase_get_operation_entry_count

Gets the count of rebase operations that are to be applied.

###### ggit_rebase_get_operation_index

Gets the index of the rebase operation that is currently being applied. If the first operation has not yet been applied (because you have called `ggit_repository_rebase_init()` but not yet ggit_rebase_next()) then this returns `GGIT_REBASE_NO_OPERATION`.

###### ggit_rebase_next

Performs the next rebase operation and returns the information about it. If the operation is one that applies a patch (which is any operation except `GGIT_REBASE_OPERATION_EXEC`) then the patch will be applied and the index and working directory will be updated with the changes. If there are conflicts, you will need to address those before committing the changes.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GgitNative (1)

###### Ggit.Native:native

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitRebaseClass {
      GgitNativeClass parent_class;

    }

No description available.

###### Class members

`parent_class: GgitNativeClass`

  No description available.